summaryrefslogtreecommitdiffstats
path: root/solenv/bin/macosx-create-bundle
diff options
context:
space:
mode:
Diffstat (limited to 'solenv/bin/macosx-create-bundle')
-rwxr-xr-xsolenv/bin/macosx-create-bundle95
1 files changed, 0 insertions, 95 deletions
diff --git a/solenv/bin/macosx-create-bundle b/solenv/bin/macosx-create-bundle
deleted file mode 100755
index a458e1413a6a..000000000000
--- a/solenv/bin/macosx-create-bundle
+++ /dev/null
@@ -1,95 +0,0 @@
-#!/bin/sh
-#
-# This file is part of the LibreOffice project.
-#
-# This Source Code Form is subject to the terms of the Mozilla Public
-# License, v. 2.0. If a copy of the MPL was not distributed with this
-# file, You can obtain one at http://mozilla.org/MPL/2.0/.
-#
-# This file incorporates work covered by the following license notice:
-#
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements. See the NOTICE file distributed
-# with this work for additional information regarding copyright
-# ownership. The ASF licenses this file to you under the Apache
-# License, Version 2.0 (the "License"); you may not use this file
-# except in compliance with the License. You may obtain a copy of
-# the License at http://www.apache.org/licenses/LICENSE-2.0 .
-#
-# Documentation
-# -------------
-#
-# The purpose of this script to take Mac OS X executables and shared libraries
-# and package them into the required Mac OS X bundle format.
-#
-# This script has the following usage:
-# macosx-create-bundle file1 [file2] ... [fileN]
-#
-# Note that file1 through fileN can in either of the following formats:
-# - A file name
-# - A file name and a directory to look for missing files. To use this option,
-# use the following format:
-# filename=directory
-#
-# The file argument is the file that you want to package into a Mac OS X
-# bundle. Currently, this script will only package executables and shared
-# libraries.
-#
-# The output for each executable will be a bundle named <file>.app and
-# the output for each shared library will be a symlink from libfoo.jnilib
-# back to libfoo.dylib.
-# These output directories will be in the same directory as the executable or
-# shared library.
-
-# Code
-# ----
-
-# Parse command line arguments
-if [ $# = 0 ]; then
- printf "macosx-create-bundle: error: incorrect number of arguments\n" >&2
- printf "Usage: macosx-create-bundle file1 [file2] ... [fileN]\n" >&2
- exit 1
-fi
-
-while [ $# != 0 ]; do
- inputfile=`echo "$1" | awk -F= '{print $1}'`
- sourcedir=`echo "$1" | awk -F= '{print $2}'`
-
- shift
-
- inputfilename=`basename "$inputfile"`
- outputdir=`dirname "$inputfile"`
-
- solverlibdir="$SOLARVERSION/$INPATH/lib"
- locallibdir="../../../../lib"
-
- solverbindir="$SOLARVERSION/$INPATH/bin"
- localbindir="../../.."
-
- # Determine file type
- filetype=`file -L "$inputfile"`
-
- # Create bundle based on file type
- if printf "$filetype" | grep -q 'Mach-O executable'; then
-
- # Do nothing as this step is obsolete
- :
-
- elif printf "$filetype" | grep -q 'dynamically linked shared library'; then
- # Screen out lib\w+static libraries as they are not used directly
- if ! printf "$inputfilename" | grep -q -x -E 'lib\w+static.*\.dylib'; then
- # Create jnilib link
- inputjnilibname="`basename $inputfilename .dylib`.jnilib"
- if [ ! -L "$outputdir/$inputjnilibname" ]; then
- rm -Rf "$outputdir/$inputjnilibname"
- fi
- # Link jnilib
- ln -sf "$inputfilename" "$outputdir/$inputjnilibname"
-
- #printf "macosx-create-bundle: $outputdir/$inputjnilibname successfully created\n"
- fi
- else
- printf "macosx-create-bundle: error: file is not an executable or shared library.\n" >&2
- exit 1
- fi
-done